Update IP List
This endpoint updates IP List.
HTTP Request
Section titled “HTTP Request”POST https://adelion.com/api/iplist/update| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | IP List ID. | required |
| Name | string | IP List’s name. | optional |
| Global | int | Apply list globally. 1 - On, 0 - Off. | optional |
{ "IpList": { "Id": 1, "Name": "IP List 1", "Global": 1, "ListText": "127.0.0.1\n127.0.0.2\n127.0.0.3" }}Response
Section titled “Response”{ "Status": "Ok", "IpList": { "Id": 1, "TeamId": 1, "Name": "IP List 1", "VastTags": [ 7, 8 ], "RtbEps": [ 1, 2 ], "DspRtbEps": [ 3, 4 ], "DspPopFeeds": [ 5, 6 ], "IpCount": 16063, "IpRangesCount": 9895, "Global": 1, "Status": 0, "StatusString": "Active" }}Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
400 | Bad Request | You sent a body that isn’t JSON. |
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |